QGIS Application - Feature request #3569
OGR DateTime fields support
2011-03-08 07:34 AM - jekhor -

Status: Closed

Priority: Low

Assignee: Jirgen Fischer

Category: Data Provider

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 13629
Description

Now QGis doesn't support [[DateTime]] fields in OGR datasources and converts them to strings. There is patch which fixing this
attached.

Related issues:
Related to QGIS Application - Bug report # 7503: save as can't export if data... Closed 2013-04-04

History

#1 - 2011-03-08 10:12 AM - Martin Dobias

I haven't tried the patch but | would expect that more changes should be done for proper support. IIRC there are various pieces of code in the source tree
which only expect int, double or string to be contained in QVariant as an attribute value.

#2 - 2011-04-16 04:22 AM - Jiirgen Fischer

Replying to jekhor:

Now QGis doesn't support [[DateTime]] fields in OGR datasources and converts them to strings. There is patch which fixing this attached.

Which data source are you actually using? Shapefiles at least don't support OGRDateTime at least...

#3 - 2011-04-16 10:10 AM - jekhor -

Replying to [comment:3 jef]:

Replying to jekhor:

Now QGis doesn't support [[DateTime]] fields in OGR datasources and converts them to strings. There is patch which fixing this attached.

Which data source are you actually using? Shapefiles at least don't support OGRDateTime at least...

GPX.

#4 - 2011-12-16 01:48 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#5 - 2012-04-15 10:11 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#6 - 2012-10-06 02:35 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#7 - 2013-07-17 04:01 AM - Jiirgen Fischer
- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Operating System deleted (Debian)

- Status info deleted (0)

- Resolution set to fixed

implemented in commit:052dab81

Files

3569_ogr_datetime_fix.patch 1.74 KB 2011-03-08 jekhor -
